> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Draft Invoice

> This API works for subscription-based invoices only.
 For subscriptions, on the day of subscription renewal, DRAFT invoice is created which needs the approval of the partner to make it available to the customer. Partner will get a webhook event when a new DRAFT invoice is ready for a customer. Partner needs to mark the invoice APPROVED within 24 hours or else it will be auto-marked APPROVED by the system.



## OpenAPI

````yaml /api-reference/invoices/invoice.json post /invoice/v1.0/approveInvoice
openapi: 3.0.3
info:
  title: Invoice API
  description: API's to get invoice information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /invoice/v1.0/approveInvoice:
    post:
      tags:
        - Invoice
      summary: Approve Draft Invoice
      description: |-
        This API works for subscription-based invoices only.
         For subscriptions, on the day of subscription renewal, DRAFT invoice is created which needs the approval of the partner to make it available to the customer. Partner will get a webhook event when a new DRAFT invoice is ready for a customer. Partner needs to mark the invoice APPROVED within 24 hours or else it will be auto-marked APPROVED by the system.
      operationId: approveInvoice
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                invoiceId:
                  type: string
                  description: The ID of the invoice to approve
      responses:
        '200':
          description: Approved Invoice data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/approveDraftInvoice'
components:
  schemas:
    approveDraftInvoice:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Approved Invoice data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.